List virtual GPU cluster interfaces
curl --request GET \
--url https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/interfaces \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/interfaces"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/cloud/v3/gpu/virtual/{project_id}/{region_id}/clusters/{cluster_id}/interfaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"count": 1,
"results": [
{
"floating_ips": [
{
"created_at": "2025-04-04T13:55:31Z",
"fixed_ip_address": "192.168.10.15",
"floating_ip_address": "172.24.4.34",
"id": "c64e5db1-5f1f-43ec-a8d9-5090df85b82d",
"port_id": "ee2402d0-f0cd-4503-9b75-69be1d11c5f1",
"router_id": "11005a33-c5ac-4c96-ab6f-8f2827cc7da6",
"status": "ACTIVE",
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"updated_at": "2025-04-04T13:56:31Z"
}
],
"ip_assignments": [
{
"ip_address": "192.168.123.20",
"subnet_id": "351b0dd7-ca09-431c-be53-935db3785067"
},
{
"ip_address": "192.168.120.16",
"subnet_id": "0a641ef8-62dc-4146-91e5-6ab4b464df6d"
}
],
"mac_address": "00:16:3e:f2:87:16",
"network": {
"created_at": "2025-04-04T13:55:31Z",
"external": true,
"id": "eed97610-708d-43a5-a9a5-caebd2b7b4ee",
"mtu": 1500,
"name": "public",
"port_security_enabled": true,
"segmentation_id": 9,
"shared": false,
"subnets": [
{
"available_ips": 250,
"cidr": "192.168.13.0/24",
"created_at": "2025-04-04T13:55:31Z",
"dns_nameservers": [
"8.8.8.8",
"8.8.4.4"
],
"enable_dhcp": true,
"gateway_ip": "192.168.13.1",
"has_router": false,
"host_routes": [],
"id": "b39792c3-3160-4356-912e-ba396c95cdcf",
"name": "subnet_3",
"network_id": "b30d0de7-bca2-4c83-9c57-9e645bd2cc92",
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"total_ips": 253,
"updated_at": "2025-04-04T13:56:31Z"
}
],
"tags": [
{
"key": "my-tag",
"read_only": false,
"value": "my-tag-value"
}
],
"type": "vlan",
"updated_at": "2025-04-04T13:56:31Z"
},
"network_id": "bc688791-f1b0-44eb-97d4-07697294b1e1",
"port_id": "1f0ca628-a73b-42c0-bdac-7b10d023e097",
"port_security_enabled": true
}
]
}GPU Virtual
List virtual GPU cluster interfaces
List all network interfaces for servers in a virtual GPU cluster.
GET
/
cloud
/
v3
/
gpu
/
virtual
/
{project_id}
/
{region_id}
/
clusters
/
{cluster_id}
/
interfaces
List virtual GPU cluster interfaces
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234$abcdef
Path Parameters
Project ID
Example:
1
Region ID
Example:
7
Cluster unique identifier
Example:
"1aaaab48-10d0-46d9-80cc-85209284ceb4"
Query Parameters
Optional. Limit the number of returned items
Required range:
x <= 1000Example:
1000
Optional. Offset value is used to exclude the first set of records from the result
Required range:
x >= 0Example:
0
Was this page helpful?
⌘I